Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Problems with launching Eclipse 4 applications
Problems with launching Eclipse 4 applications [message #997264] Fri, 04 January 2013 15:11 Go to next message
Lars Vogel is currently offline Lars Vogel
Messages: 1048
Registered: July 2009
Senior Member

I see a lot of questions which relates to problem with launching the Eclipse 4 application therefore I created this list to check what problem you may face:

Eclipse 4 typical launch problems
Re: Problems with launching Eclipse 4 applications [message #997603 is a reply to message #997264] Sat, 05 January 2013 14:12 Go to previous messageGo to next message
Antonio is currently offline Antonio
Messages: 39
Registered: July 2009
Member
Il 04/01/2013 21:11, Lars Vogel ha scritto:
> I see a lot of questions which relates to problem with launching the
> Eclipse 4 application therefore I created this list to check what
> problem you may face:
>
> http://www.vogella.com/articles/EclipseRCP/article.html#runconfiguration_problems
>
hi Lars, thanks for your help but i see your article and i follow it
but i have this error when i run a simple example
my System:
Eclipse for RCP and RAP developers Version: Juno Service Release 1 Build
id: 20120920-0800;i use windows 7 64 bit,

best regads and excuse me fo my bad english
Antonio

log error:
!SESSION 2013-01-05 20:05:38.372
-----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_10
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=it_IT
Framework arguments: -product com.example.rcp.wizard.product
Command-line arguments: -product com.example.rcp.wizard.product -data
C:\work/../runtime-com.example.rcp.wizard.product -dev
file:C:/work/.metadata/.plugins/org.eclipse.pde.core/com.example.rcp.wizard.product/dev.properties
-os win32 -ws win32 -arch x86_64 -consoleLog

!ENTRY org.eclipse.equinox.app 0 0 2013-01-05 20:05:49.154
!MESSAGE Product com.example.rcp.wizard.product could not be found.

!ENTRY org.eclipse.osgi 2 0 2013-01-05 20:05:50.365
!MESSAGE One or more bundles are not resolved because the following root
constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.366
!MESSAGE Bundle
initial@reference:file:plugins/org.eclipse.e4.ui.workbench.renderers.swt_0.10.2.v20120814-175454.jar
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
20:05:50.366
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.367
!MESSAGE Bundle
initial@reference:file:plugins/org.eclipse.e4.ui.css.core_0.10.2.v20120806-171245.jar
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2013-01-05 20:05:50.368
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.369
!MESSAGE Bundle
initial@reference:file:plugins/org.eclipse.e4.ui.css.swt.theme_0.9.3.v20120806-170624.jar
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.370
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.371
!MESSAGE Bundle
initial@reference:file:plugins/org.eclipse.e4.ui.services_0.10.2.v20120726-172631.jar
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.services 2 0 2013-01-05 20:05:50.371
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.372
!MESSAGE Bundle
initial@reference:file:plugins/org.eclipse.e4.ui.workbench.swt_0.10.2.v20120802-184737.jar
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.373
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.374
!MESSAGE Bundle
initial@reference:file:plugins/org.eclipse.e4.ui.css.swt_0.10.2.v20120821-165957.jar
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.374
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.

!ENTRY org.eclipse.osgi 2 0 2013-01-05 20:05:50.642
!MESSAGE The following is a complete list of bundles which are not
resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.645
!MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.10.2.v20120821-165957 [1]
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.648
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.650
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.653
!MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.3.v20120806-170624
[3] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.656
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.658
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.661
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.663
!MESSAGE Bundle
org.eclipse.e4.ui.workbench.renderers.swt_0.10.2.v20120814-175454 [21]
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
20:05:50.666
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
20:05:50.669
!MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
20:05:50.684
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
20:05:50.687
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
20:05:50.689
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
20:05:50.692
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.694
!MESSAGE Bundle org.eclipse.e4.ui.workbench_0.10.3.v20120822-140642 [35]
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench 2 0 2013-01-05 20:05:50.697
!MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.699
!MESSAGE Bundle org.eclipse.e4.ui.css.core_0.10.2.v20120806-171245 [40]
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2013-01-05 20:05:50.702
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.705
!MESSAGE Bundle org.eclipse.e4.ui.services_0.10.2.v20120726-172631 [49]
was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.services 2 0 2013-01-05 20:05:50.707
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.710
!MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.10.2.v20120802-184737
[52] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.712
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.10.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.715
!MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.1.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.717
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.720
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.723
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.725
!MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.898
!MESSAGE Bundle com.example.rcp.wizard_1.0.0.qualifier [59] was not
resolved.
!SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.900
!MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.10.2.
!SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.903
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.10.3.
!SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.905
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.10.2.
!SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.908
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.10.2.

!ENTRY org.eclipse.osgi 4 0 2013-01-05 20:05:50.912
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at
org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
at
org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
Re: Problems with launching Eclipse 4 applications [message #997604 is a reply to message #997603] Sun, 06 January 2013 02:00 Go to previous messageGo to next message
Ed Merks is currently offline Ed Merks
Messages: 25950
Registered: July 2009
Senior Member
Antonio,

Are these missing plugins specified in your run configuration?


On 05/01/2013 8:12 PM, Antonio De Curtis wrote:
> Il 04/01/2013 21:11, Lars Vogel ha scritto:
>> I see a lot of questions which relates to problem with launching the
>> Eclipse 4 application therefore I created this list to check what
>> problem you may face:
>>
>> http://www.vogella.com/articles/EclipseRCP/article.html#runconfiguration_problems
>>
>>
> hi Lars, thanks for your help but i see your article and i follow it
> but i have this error when i run a simple example
> my System:
> Eclipse for RCP and RAP developers Version: Juno Service Release 1
> Build id: 20120920-0800;i use windows 7 64 bit,
>
> best regads and excuse me fo my bad english
> Antonio
>
> log error:
> !SESSION 2013-01-05 20:05:38.372
> -----------------------------------------------
> eclipse.buildId=unknown
> java.version=1.7.0_10
> java.vendor=Oracle Corporation
> BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=it_IT
> Framework arguments: -product com.example.rcp.wizard.product
> Command-line arguments: -product com.example.rcp.wizard.product -data
> C:\work/../runtime-com.example.rcp.wizard.product -dev
> file:C:/work/.metadata/.plugins/org.eclipse.pde.core/com.example.rcp.wizard.product/dev.properties
> -os win32 -ws win32 -arch x86_64 -consoleLog
>
> !ENTRY org.eclipse.equinox.app 0 0 2013-01-05 20:05:49.154
> !MESSAGE Product com.example.rcp.wizard.product could not be found.
>
> !ENTRY org.eclipse.osgi 2 0 2013-01-05 20:05:50.365
> !MESSAGE One or more bundles are not resolved because the following
> root constraints are not resolved:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.366
> !MESSAGE Bundle
> initial@reference:file:plugins/org.eclipse.e4.ui.workbench.renderers.swt_0.10.2.v20120814-175454.jar
> was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
> 20:05:50.366
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.367
> !MESSAGE Bundle
> initial@reference:file:plugins/org.eclipse.e4.ui.css.core_0.10.2.v20120806-171245.jar
> was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2013-01-05 20:05:50.368
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.369
> !MESSAGE Bundle
> initial@reference:file:plugins/org.eclipse.e4.ui.css.swt.theme_0.9.3.v20120806-170624.jar
> was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.370
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.371
> !MESSAGE Bundle
> initial@reference:file:plugins/org.eclipse.e4.ui.services_0.10.2.v20120726-172631.jar
> was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.services 2 0 2013-01-05 20:05:50.371
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.372
> !MESSAGE Bundle
> initial@reference:file:plugins/org.eclipse.e4.ui.workbench.swt_0.10.2.v20120802-184737.jar
> was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.373
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.374
> !MESSAGE Bundle
> initial@reference:file:plugins/org.eclipse.e4.ui.css.swt_0.10.2.v20120821-165957.jar
> was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.374
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>
> !ENTRY org.eclipse.osgi 2 0 2013-01-05 20:05:50.642
> !MESSAGE The following is a complete list of bundles which are not
> resolved, see the prior log entry for the root cause if it exists:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.645
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.10.2.v20120821-165957 [1]
> was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.648
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.650
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.653
> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.3.v20120806-170624
> [3] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.656
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.658
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.661
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.663
> !MESSAGE Bundle
> org.eclipse.e4.ui.workbench.renderers.swt_0.10.2.v20120814-175454 [21]
> was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
> 20:05:50.666
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
> 20:05:50.669
> !MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
> 20:05:50.684
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
> 20:05:50.687
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
> 20:05:50.689
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
> 20:05:50.692
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.694
> !MESSAGE Bundle org.eclipse.e4.ui.workbench_0.10.3.v20120822-140642
> [35] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench 2 0 2013-01-05 20:05:50.697
> !MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.9.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.699
> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.10.2.v20120806-171245
> [40] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2013-01-05 20:05:50.702
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.705
> !MESSAGE Bundle org.eclipse.e4.ui.services_0.10.2.v20120726-172631
> [49] was not resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.services 2 0 2013-01-05 20:05:50.707
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.710
> !MESSAGE Bundle
> org.eclipse.e4.ui.workbench.swt_0.10.2.v20120802-184737 [52] was not
> resolved.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.712
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.10.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.715
> !MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.1.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.717
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.720
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.723
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.725
> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.898
> !MESSAGE Bundle com.example.rcp.wizard_1.0.0.qualifier [59] was not
> resolved.
> !SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.900
> !MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.10.2.
> !SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.903
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.10.3.
> !SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.905
> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.10.2.
> !SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.908
> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.10.2.
>
> !ENTRY org.eclipse.osgi 4 0 2013-01-05 20:05:50.912
> !MESSAGE Application error
> !STACK 1
> java.lang.RuntimeException: No application id has been found.
> at
> org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
> at
> org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
> at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
> at java.lang.reflect.Method.invoke(Unknown Source)
> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
> at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
> at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
Re: Problems with launching Eclipse 4 applications [message #997606 is a reply to message #997604] Sun, 06 January 2013 13:50 Go to previous messageGo to next message
Antonio is currently offline Antonio
Messages: 39
Registered: July 2009
Member
Hi Ed,

i have the plug in that is read in error log, i see org.eclipse.osgi
and don't have problem.
i follow the article of Lars Vogel now in com.example.e4.rcp.wizard.product
i click label depencies i see this plugin have a error (i see red box
whit white x)
org.eclipse.core.filesystem.aix.ppc
org.eclipse.core.filesystem.hpux.ia64_32
org.eclipse.core.filesystem.linux.ppc
org.eclipse.core.filesystem.linux.x86
org.eclipse.core.filesystem.linux.x86_64
org.eclipse.core.filesystem.macosx
org.eclipse.core.filesystem.solaris.sparc
org.eclipse.core.filesystem.win32.x86
org.eclipse.core.resources.win32.x86
org.eclipse.swt.carbon.macosx
org.eclipse.swt.cocoa.macosx
org.eclipse.swt.cocoa.macosx.x86_64
org.eclipse.swt.gtk.linux.ppc
org.eclipse.swt.gtk.linux.ppc64
org.eclipse.swt.gtk.linux.s390
org.eclipse.swt.gtk.linux.s390x
org.eclipse.swt.gtk.linux.x86"
org.eclipse.swt.gtk.linux.x86_64
org.eclipse.swt.gtk.solaris.sparc
org.eclipse.swt.gtk.solaris.x86
org.eclipse.swt.motif.aix.ppc
org.eclipse.swt.motif.hpux.ia64_32
org.eclipse.swt.motif.linux.x86
org.eclipse.swt.motif.solaris.sparc
org.eclipse.swt.photon.qnx.x86
org.eclipse.swt.win32.win32.x86

i think this is the problem,
thx
Antonio

Il 06/01/2013 08:00, Ed Merks ha scritto:
> Antonio,
>
> Are these missing plugins specified in your run configuration?
>
>
> On 05/01/2013 8:12 PM, Antonio De Curtis wrote:
>> Il 04/01/2013 21:11, Lars Vogel ha scritto:
>>> I see a lot of questions which relates to problem with launching the
>>> Eclipse 4 application therefore I created this list to check what
>>> problem you may face:
>>>
>>> http://www.vogella.com/articles/EclipseRCP/article.html#runconfiguration_problems
>>>
>>>
>> hi Lars, thanks for your help but i see your article and i follow it
>> but i have this error when i run a simple example
>> my System:
>> Eclipse for RCP and RAP developers Version: Juno Service Release 1
>> Build id: 20120920-0800;i use windows 7 64 bit,
>>
>> best regads and excuse me fo my bad english
>> Antonio
>>
>> log error:
>> !SESSION 2013-01-05 20:05:38.372
>> -----------------------------------------------
>> eclipse.buildId=unknown
>> java.version=1.7.0_10
>> java.vendor=Oracle Corporation
>> BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=it_IT
>> Framework arguments: -product com.example.rcp.wizard.product
>> Command-line arguments: -product com.example.rcp.wizard.product -data
>> C:\work/../runtime-com.example.rcp.wizard.product -dev
>> file:C:/work/.metadata/.plugins/org.eclipse.pde.core/com.example.rcp.wizard.product/dev.properties
>> -os win32 -ws win32 -arch x86_64 -consoleLog
>>
>> !ENTRY org.eclipse.equinox.app 0 0 2013-01-05 20:05:49.154
>> !MESSAGE Product com.example.rcp.wizard.product could not be found.
>>
>> !ENTRY org.eclipse.osgi 2 0 2013-01-05 20:05:50.365
>> !MESSAGE One or more bundles are not resolved because the following
>> root constraints are not resolved:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.366
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.eclipse.e4.ui.workbench.renderers.swt_0.10.2.v20120814-175454.jar
>> was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
>> 20:05:50.366
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.367
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.eclipse.e4.ui.css.core_0.10.2.v20120806-171245.jar
>> was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2013-01-05 20:05:50.368
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.369
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.eclipse.e4.ui.css.swt.theme_0.9.3.v20120806-170624.jar
>> was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.370
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.371
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.eclipse.e4.ui.services_0.10.2.v20120726-172631.jar
>> was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.services 2 0 2013-01-05 20:05:50.371
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.372
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.eclipse.e4.ui.workbench.swt_0.10.2.v20120802-184737.jar
>> was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.373
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.374
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.eclipse.e4.ui.css.swt_0.10.2.v20120821-165957.jar
>> was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.374
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>>
>> !ENTRY org.eclipse.osgi 2 0 2013-01-05 20:05:50.642
>> !MESSAGE The following is a complete list of bundles which are not
>> resolved, see the prior log entry for the root cause if it exists:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.645
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.10.2.v20120821-165957 [1]
>> was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.648
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2013-01-05 20:05:50.650
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.653
>> !MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.3.v20120806-170624
>> [3] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.656
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.658
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2013-01-05 20:05:50.661
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.663
>> !MESSAGE Bundle
>> org.eclipse.e4.ui.workbench.renderers.swt_0.10.2.v20120814-175454 [21]
>> was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
>> 20:05:50.666
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
>> 20:05:50.669
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
>> 20:05:50.684
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
>> 20:05:50.687
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
>> 20:05:50.689
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2013-01-05
>> 20:05:50.692
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.694
>> !MESSAGE Bundle org.eclipse.e4.ui.workbench_0.10.3.v20120822-140642
>> [35] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench 2 0 2013-01-05 20:05:50.697
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.9.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.699
>> !MESSAGE Bundle org.eclipse.e4.ui.css.core_0.10.2.v20120806-171245
>> [40] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2013-01-05 20:05:50.702
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.705
>> !MESSAGE Bundle org.eclipse.e4.ui.services_0.10.2.v20120726-172631
>> [49] was not resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.services 2 0 2013-01-05 20:05:50.707
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.710
>> !MESSAGE Bundle
>> org.eclipse.e4.ui.workbench.swt_0.10.2.v20120802-184737 [52] was not
>> resolved.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.712
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.10.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.715
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.1.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.717
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.720
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.723
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
>> !SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2013-01-05 20:05:50.725
>> !MESSAGE Missing imported package org.w3c.dom.css_2.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2013-01-05 20:05:50.898
>> !MESSAGE Bundle com.example.rcp.wizard_1.0.0.qualifier [59] was not
>> resolved.
>> !SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.900
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.services_0.10.2.
>> !SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.903
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench_0.10.3.
>> !SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.905
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.10.2.
>> !SUBENTRY 2 com.example.rcp.wizard 2 0 2013-01-05 20:05:50.908
>> !MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.10.2.
>>
>> !ENTRY org.eclipse.osgi 4 0 2013-01-05 20:05:50.912
>> !MESSAGE Application error
>> !STACK 1
>> java.lang.RuntimeException: No application id has been found.
>> at
>> org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
>>
>> at
>> org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
>>
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>>
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>>
>> at
>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
>>
>> at
>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
>>
>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>> at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
>> at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
>> at java.lang.reflect.Method.invoke(Unknown Source)
>> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
>> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
>> at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
>> at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
>
Re: Problems with launching Eclipse 4 applications [message #997704 is a reply to message #997606] Tue, 08 January 2013 10:21 Go to previous message
Lars Vogel is currently offline Lars Vogel
Messages: 1048
Registered: July 2009
Senior Member

The plugins listed are not the problem, they are platform specific and filtered out.

Try generating a new e4 application with the wizard and starting your e4 application from the product configuration file.

Delete any existing launch configuration.

Previous Topic:Open editor using CompatibilityEditor
Next Topic:Creating a console view in the RCP Application
Goto Forum:
  


Current Time: Fri Aug 01 20:38:21 EDT 2014

Powered by FUDForum. Page generated in 0.02671 seconds